package com.jxml.quick.examples.memleak;

import java.io.*;
import java.util.*;
import com.jxml.quick.*;
import org.xml.sax.*;
import com.jxml.protocol.*;

public class Loop1
{
    public static void main(String[] args)
    {
	try
	    {
		Protocol.addJXMLProtocolPackage();
		// Generate a Quick schema
		QDoc listSchema=CreateTest.createSchema();

		// Process the XML document
		while (true)
		{
			System.out.print(".");
			int i;
			for (i=0;i<1000;++i)
			{
				Quick.parse(listSchema,"file:list.xml");
			}
		}
	    } 
	catch (Exception e)
	    {
		QPE.display(e);
	    }
    }
}
